#!/bin/sh
#------------------------------------------------------------------------------
# opt/files/srv/www/admin/surfstation.cgi                          3.3.1
#
# Creation:     gdw
# Last Update:  $Id: surfstation.cgi 14370 2008-02-04 15:18:16Z arwin $
#------------------------------------------------------------------------------

. /srv/www/include/cgi-helper
# Security
check_rights "embedded" "view"

. /var/run/embedded.conf
i2c_get_temperature

show_html_header "Surfstation"
show_tab_header "Temperatur" no

cat <<EOF
<table class='normtable'>
<tr>
    <th>Temp</th>
</tr>
<tr align='center'>
    <td>$temperature &deg;C</td>
</tr>
</table>
EOF

show_tab_footer
show_html_footer
